Bug 812354 - Blender is missing the cycles renderer
Blender is missing the cycles renderer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 09:44 EDT by Dominik Pospisil
Modified: 2012-05-26 03:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:29:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cycles module problem (39.75 KB, image/jpeg)
2012-04-13 10:24 EDT, Dominik Pospisil
no flags Details

  None (edit)
Description Dominik Pospisil 2012-04-13 09:44:43 EDT
Description of problem:
The blender build is missing cycles renderer.

Version-Release number of selected component (if applicable):
blender-2.62-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start blender 
2. Try to choose the cycles renderer
  
Actual results:
Cycles not available in the renderer drop down menu. Also, not available as an addon module.

Expected results:
The cycles renderer module should be present and enabled by default.

Additional info:
Cycles is the new generation renderer built-it blender 2.6 releases.
Comment 1 Richard Shaw 2012-04-13 09:54:42 EDT
Interesting. I'm not running F17 right now so I can't test but blender does appear to be linking with OpenImageIO which is the main requirement for Cycles:

# repoquery --releasever=17 --requires blender | grep OpenImageIO
libOpenImageIO.so.0.10()(64bit)

I'll have to see if the build logs are still available...
Comment 2 Richard Shaw 2012-04-13 10:03:01 EDT
The logs show cycles and being enabled so I'm stumped... 

http://kojipkgs.fedoraproject.org/packages/blender/2.62/1.fc17/data/logs/x86_64/build.log
Comment 3 Dominik Pospisil 2012-04-13 10:18:50 EDT
It seems that there is some problem with the module - it could be found in module list - however it is marked with exclamation mark saying that the module is missing script files.
Comment 4 Dominik Pospisil 2012-04-13 10:24:06 EDT
Created attachment 577361 [details]
cycles module problem

Added screenshot showing cycles module problem.
Comment 5 Nicolas Chauvet (kwizart) 2012-04-13 10:33:58 EDT
Is it a new profile ?
the plugin may not be registered correctly in the user profil located ~/.config/blender* IIRC.
Just a blind guess.
Comment 6 Dominik Pospisil 2012-04-13 12:52:20 EDT
I have no such file as ~/.config/blender*. The profile is located in ~/.blender/2.62/. I have deleted it but that did not help.
Comment 7 habernir 2012-04-19 04:48:31 EDT
i have this bug also
you know how to solve it?
Comment 8 Dominik Pospisil 2012-04-19 04:58:03 EDT
Unfortunatelly no. There is not much log provided and I am no expert in blender internals :( You can always download working binaries if you need to (e. g. from http://www.graphicall.org/)
Comment 9 Bastien Montagne 2012-04-19 09:40:24 EDT
Could you try running Blender from a console, and give the logs? It seems there is a Python error somewhere, which makes Cycles addon loading fail…
Comment 10 Dominik Pospisil 2012-04-19 09:59:20 EDT
Unfortunatelly, my system was updated and the blender package was updated as well to version: blender-2.62-4.fc17.x86_64.

Now it refuses to even start :(


[dpospisi@simkin ~]$ blender 
connect failed: No such file or directory
ndof: spacenavd not found
*** buffer overflow detected ***: blender terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x31fd909797]
/lib64/libc.so.6[0x31fd907950]
/lib64/libc.so.6[0x31fd909747]
/lib64/libspnav.so.0(spnav_poll_event+0x103)[0x3c2c801fc3]
blender(_ZN20GHOST_NDOFManagerX1113processEventsEv+0x2a)[0xcc4bda]
blender(_ZN15GHOST_SystemX1113processEventsEb+0xdf)[0xcc0c8f]
blender(GHOST_ProcessEvents+0x14)[0xcbdc74]
blender(wm_window_process_events+0x37)[0x785e77]
blender(WM_main+0x10)[0x770cd0]
blender(main+0x8f1)[0x7662d1]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x31fd821735]
blender[0x76ec89]
======= Memory map: ========
00400000-0178a000 r-xp 00000000 08:02 803852                             /usr/bin/blender
01989000-0212d000 rw-p 01389000 08:02 803852                             /usr/bin/blender
0212d000-021b7000 rw-p 00000000 00:00 0 
0232c000-024d9000 rw-p 01b2c000 08:02 803852                             /usr/bin/blender
043c3000-05e01000 rw-p 00000000 00:00 0                                  [heap]
31fd000000-31fd020000 r-xp 00000000 08:02 796087                         /usr/lib64/ld-2.15.so
31fd21f000-31fd220000 r--p 0001f000 08:02 796087                         /usr/lib64/ld-2.15.so
31fd220000-31fd221000 rw-p 00020000 08:02 796087                         /usr/lib64/ld-2.15.so
31fd221000-31fd222000 rw-p 00000000 00:00 0 
31fd400000-31fd402000 r-xp 00000000 08:02 796101                         /usr/lib64/libXau.so.6.0.0
31fd402000-31fd602000 ---p 00002000 08:02 796101                         /usr/lib64/libXau.so.6.0.0
31fd602000-31fd603000 r--p 00002000 08:02 796101                         /usr/lib64/libXau.so.6.0.0
31fd603000-31fd604000 rw-p 00003000 08:02 796101                         /usr/lib64/libXau.so.6.0.0
31fd800000-31fd9ac000 r-xp 00000000 08:02 796088                         /usr/lib64/libc-2.15.so
31fd9ac000-31fdbac000 ---p 001ac000 08:02 796088                         /usr/lib64/libc-2.15.so
31fdbac000-31fdbb0000 r--p 001ac000 08:02 796088                         /usr/lib64/libc-2.15.so
31fdbb0000-31fdbb2000 rw-p 001b0000 08:02 796088                         /usr/lib64/libc-2.15.so
31fdbb2000-31fdbb7000 rw-p 00000000 00:00 0 
31fdc00000-31fdc03000 r-xp 00000000 08:02 796103                         /usr/lib64/libdl-2.15.so
31fdc03000-31fde02000 ---p 00003000 08:02 796103                         /usr/lib64/libdl-2.15.so
31fde02000-31fde03000 r--p 00002000 08:02 796103                         /usr/lib64/libdl-2.15.so
31fde03000-31fde04000 rw-p 00003000 08:02 796103                         /usr/lib64/libdl-2.15.so
31fe000000-31fe016000 r-xp 00000000 08:02 796091                         /usr/lib64/libpthread-2.15.so
31fe016000-31fe216000 ---p 00016000 08:02 796091                         /usr/lib64/libpthread-2.15.so
31fe216000-31fe217000 r--p 00016000 08:02 796091                         /usr/lib64/libpthread-2.15.so
31fe217000-31fe218000 rw-p 00017000 08:02 796091                         /usr/lib64/libpthread-2.15.so
31fe218000-31fe21c000 rw-p 00000000 00:00 0 
31fe400000-31fe4fa000 r-xp 00000000 08:02 796096                         /usr/lib64/libm-2.15.so
31fe4fa000-31fe6f9000 ---p 000fa000 08:02 796096                         /usr/lib64/libm-2.15.so
31fe6f9000-31fe6fa000 r--p 000f9000 08:02 796096                         /usr/lib64/libm-2.15.so
31fe6fa000-31fe6fb000 rw-p 000fa000 08:02 796096                         /usr/lib64/libm-2.15.so
31fe800000-31fe807000 r-xp 00000000 08:02 796149                         /usr/lib64/librt-2.15.so
31fe807000-31fea06000 ---p 00007000 08:02 796149                         /usr/lib64/librt-2.15.so
31fea06000-31fea07000 r--p 00006000 08:02 796149                         /usr/lib64/librt-2.15.so
31fea07000-31fea08000 rw-p 00007000 08:02 796149                         /usr/lib64/librt-2.15.so
31fec00000-31fec17000 r-xp 00000000 08:02 796095                         /usr/lib64/libz.so.1.2.5
31fec17000-31fee16000 ---p 00017000 08:02 796095                         /usr/lib64/libz.so.1.2.5
31fee16000-31fee17000 rw-p 00016000 08:02 796095                         /usr/lib64/libz.so.1.2.5
31ff000000-31ff01e000 r-xp 00000000 08:02 796137                         /usr/lib64/libselinux.so.1
31ff01e000-31ff21d000 ---p 0001e000 08:02 796137                         /usr/lib64/libselinux.so.1
31ff21d000-31ff21e000 r--p 0001d000 08:02 796137                         /usr/lib64/libselinux.so.1
31ff21e000-31ff21f000 rw-p 0001e000 08:02 796137                         /usr/lib64/libselinux.so.1
31ff21f000-31ff221000 rw-p 00000000 00:00 0 
31ff800000-31ff81d000 r-xp 00000000 08:02 796102                         /usr/lib64/libxcb.so.1.1.0
31ff81d000-31ffa1c000 ---p 0001d000 08:02 796102                         /usr/lib64/libxcb.so.1.1.0
31ffa1c000-31ffa1d000 r--p 0001c000 08:02 796102                         /usr/lib64/libxcb.so.1.1.0
31ffa1d000-31ffa1e000 rw-p 0001d000 08:02 796102                         /usr/lib64/libxcb.so.1.1.0
31ffc00000-31ffd33000 r-xp 00000000 08:02 796104                         /usr/lib64/libX11.so.6.3.0
31ffd33000-31fff33000 ---p 00133000 08:02 796104                         /usr/lib64/libX11.so.6.3.0
31fff33000-31fff34000 r--p 00133000 08:02 796104                         /usr/lib64/libX11.so.6.3.0
31fff34000-31fff39000 rw-p 00134000 08:02 796104                         /usr/lib64/libX11.so.6.3.0
3200000000-3200016000 r-xp 00000000 08:02 796123                         /usr/lib64/libresolv-2.15.so
3200016000-3200215000 ---p 00016000 08:02 796123                         /usr/lib64/libresolv-2.15.so
3200215000-3200216000 r--p 00015000 08:02 796123                         /usr/lib64/libresolv-2.15.so
3200216000-3200217000 rw-p 00016000 08:02 796123                         /usr/lib64/libresolv-2.15.so
3200217000-3200219000 rw-p 00000000 00:00 0 
3200400000-3200410000 r-xp 00000000 08:02 796105                         /usr/lib64/libXext.so.6.4.0
3200410000-3200610000 ---p 00010000 08:02 796105                         /usr/lib64/libXext.so.6.4.0
3200610000-3200611000 r--p 00010000 08:02 796105                         /usr/lib64/libXext.so.6.4.0
3200611000-3200612000 rw-p 00011000 08:02 796105                         /usr/lib64/libXext.so.6.4.0
3201c00000-3201c04000 r-xp 00000000 08:02 796117                         /usr/lib64/libuuid.so.1.3.0
3201c04000-3201e03000 ---p 00004000 08:02 796117                         /usr/lib64/libuuid.so.1.3.0
3201e03000-3201e04000 r--p 00003000 08:02 796117                         /usr/lib64/libuuid.so.1.3.0
3201e04000-3201e05000 rw-p 00004000 08:02 796117                         /usr/lib64/libuuid.so.1.3.0
3202000000-3202005000 r-xp 00000000 08:02 796109                         /usr/lib64/libXfixes.so.3.1.0
3202005000-3202204000 ---p 00005000 08:02 796109                         /usr/lib64/libXfixes.so.3.1.0
3202204000-3202205000 r--p 00004000 08:02 796109                         /usr/lib64/libXfixes.so.3.1.0
3202205000-3202206000 rw-p 00005000 08:02 796109                         /usr/lib64/libXfixes.so.3.1.0
3202400000-3202429000 r-xp 00000000 08:02 796100                         /usr/lib64/libpng15.so.15.10.0
3202429000-3202628000 ---p 00029000 08:02 796100                         /usr/lib64/libpng15.so.15.10.0
3202628000-3202629000 r--p 00028000 08:02 796100                         /usr/lib64/libpng15.so.15.10.0
3202629000-320262a000 rw-p 00029000 08:02 796100                         /usr/lib64/libpng15.so.15.10.0
3202800000-3202817000 r-xp 00000000 08:02 796116                         /usr/lib64/libICE.so.6.3.0
3202817000-3202a16000 ---p 00017000 08:02 796116                         /usr/lib64/libICE.so.6.3.0
3202a16000-3202a17000 r--p 00016000 08:02 796116                         /usr/lib64/libICE.so.6.3.0
3202a17000-3202a18000 rw-p 00017000 08:02 796116                         /usr/lib64/libICE.so.6.3.0
3202a18000-3202a1c000 rw-p 00000000 00:00 0 
3202c00000-3202c07000 r-xp 00000000 08:02 796118                         /usr/lib64/libSM.so.6.0.1
3202c07000-3202e06000 ---p 00007000 08:02 796118                         /usr/lib64/libSM.so.6.0.1
3202e06000-3202e07000 r--p 00006000 08:02 796118                         /usr/lib64/libSM.so.6.0.1
3202e07000-3202e08000 rw-p 00007000 08:02 796118                         /usr/lib64/libSM.so.6.0.1
3203000000-3203026000 r-xp 00000000 08:02 796113                         /usr/lib64/libexpat.so.1.6.0
3203026000-3203226000 ---p 00026000 08:02 796113                         /usr/lib64/libexpat.so.1.6.0
3203226000-3203228000 r--p 00026000 08:02 796113                         /usr/lib64/libexpat.so.1.6.0
3203228000-3203229000 rw-p 00028000 08:02 796113                         /usr/lib64/libexpat.so.1.6.0
3203400000-3203409000 r-xp 00000000 08:02 796107                         /usr/lib64/libXrender.so.1.3.0
3203409000-3203608000 ---p 00009000 08:02 796107                         /usr/lib64/libXrender.so.1.3.0
3203608000-3203609000 r--p 00008000 08:02 796107                         /usr/lib64/libXrender.so.1.3.0
3203609000-320360a000 rw-p 00009000 08:02 796107                         /usr/lib64/libXrender.so.1.3.0
3203800000-320389b000 r-xp 00000000 08:02 796112                         /usr/lib64/libfreetype.so.6.8.0
320389b000-3203a9a000 ---p 0009b000 08:02 796112                         /usr/lib64/libfreetype.so.6.8.0
3203a9a000-3203aa0000 r--p 0009a000 08:02 796112                         /usr/lib64/libfreetype.so.6.8.0
3203aa0000-3203aa1000 rw-p 000a0000 08:02 796112                         /usr/lib64/libfreetype.so.6.8.0
3204000000-320400e000 r-xp 00000000 08:02 796106                         /usr/lib64/libXi.so.6.1.0
320400e000-320420d000 ---p 0000e000 08:02 796106                         /usr/lib64/libXi.so.6.1.0
320420d000-320420e000 r--p 0000d000 08:02 796106                         /usr/lib64/libXi.so.6.1.0
320420e000-320420f000 rw-p 0000e000 08:02 796106                         /usr/lib64/libXi.so.6.1.0
3204c00000-3204c09000 r-xp 00000000 08:02 796110                         /usr/lib64/libXcursor.so.1.0.2
3204c09000-3204e09000 ---p 00009000 08:02 796110                         /usr/lib64/libXcursor.so.1.0.2
3204e09000-3204e0a000 r--p 00009000 08:02 796110                         /usr/lib64/libXcursor.so.1.0.2
3204e0a000-3204e0b000 rw-p 0000a000 08:02 796110                         /usr/lib64/libXcursor.so.1.0.2
3205000000-320500f000 r-xp 00000000 08:02 797872                         /usr/lib64/libtbbmalloc.so.2
320500f000-320520f000 ---p 0000f000 08:02 797872                         /usr/lib64/libtbbmalloc.so.2
320520f000-3205211000 rw-p 0000f000 08:02 797872                         /usr/lib64/libtbbmalloc.so.2
3205211000-3205222000 rw-p 00000000 00:00 0 
3205800000-320594e000 r-xp 00000000 08:02 796200                         /usr/lib64/libxml2.so.2.7.8
320594e000-3205b4d000 ---p 0014e000 08:02 796200                         /usr/lib64/libxml2.so.2.7.8
3205b4d000-3205b55000 r--p 0014d000 08:02 796200                         /usr/lib64/libxml2.so.2.7.8
3205b55000-3205b57000 rw-p 00155000 08:02 796200                         /usr/lib64/libxml2.so.2.7.8
3205b57000-3205b58000 rw-p 00000000 00:00 0 
3207c00000-3207c55000 r-xp 00000000 08:02 796277                         /usr/lib64/libopenal.so.1.14.0
3207c55000-3207e55000 ---p 00055000 08:02 796277                         /usr/lib64/libopenal.so.1.14.0
3207e55000-3207e57000 r--p 00055000 08:02 796277                         /usr/lib64/libopenal.so.1.14.0
3207e57000-3207e58000 rw-p 00057000 08:02 796277                         /usr/lib64/libopenal.so.1.14.0
3207e58000-3207e59000 rw-p 00000000 00:00 0 
3208400000-320841f000 r-xp 00000000 08:02 797669                         /usr/lib64/libopenjpeg.so.3.1.4.0
320841f000-320861e000 ---p 0001f000 08:02 797669                         /usr/lib64/libopenjpeg.so.3.1.4.0
320861e000-320861f000 r--p 0001e000 08:02 797669                         /usr/lib64/libopenjpeg.so.3.1.4.0
320861f000-3208620000 rw-p 0001f000 08:02 797669                         /usr/lib64/libopenjpeg.so.3.1.4.0
3208800000-3208802000 r-xp 00000000 08:02 796173                         /usr/lib64/libXdamage.so.1.1.0
3208802000-3208a01000 ---p 00002000 08:02 796173                         /usr/lib64/libXdamage.so.1.1.0
3208a01000-3208a02000 r--p 00001000 08:02 796173                         /usr/lib64/libXdamage.so.1.1.0
3208a02000-3208a03000 rw-p 00002000 08:02 796173                         /usr/lib64/libXdamage.so.1.1.0
3209000000-320906b000 r-xp 00000000 08:02 796288                         /usr/lib64/libSDL-1.2.so.0.11.3
320906b000-320926b000 ---p 0006b000 08:02 796288                         /usr/lib64/libSDL-1.2.so.0.11.3
320926b000-320926c000 r--p 0006b000 08:02 796288                         /usr/lib64/libSDL-1.2.so.0.11.3
320926c000-320926d000 rw-p 0006c000 08:02 796288                         /usr/lib64/libSDL-1.2.so.0.11.3
320926d000-320929d000 rw-p 00000000 00:00 0 
320ae00000-320ae05000 r-xp 00000000 08:02 796196                         /usr/lib64/libXtst.so.6.1.0
320ae05000-320b004000 ---p 00005000 08:02 796196                         /usr/lib64/libXtst.so.6.1.0
320b004000-320b005000 r--p 00004000 08:02 796196                         /usr/lib64/libXtst.so.6.1.0
320b005000-320b006000 rw-p 00005000 08:02 796196                         /usr/lib64/libXtst.so.6.1.0
320ce00000-320ce06000 r-xp 00000000 08:02 796245                         /usr/lib64/libogg.so.0.7.1
320ce06000-320d005000 ---p 00006000 08:02 796245                         /usr/lib64/libogg.so.0.7.1
320d005000-320d006000 r--p 00005000 08:02 796245                         /usr/lib64/libogg.so.0.7.1
320d006000-320d007000 rw-p 00006000 08:02 796245                         /usr/lib64/libogg.so.0.7.1
320d200000-320e36f000 r-xp 00000000 08:02 796339                         /usr/lib64/libicudata.so.48.1.1
320e36f000-320e56e000 ---p 0116f000 08:02 796339                         /usr/lib64/libicudata.so.48.1.1
320e56e000-320e56f000 r--p 0116e000 08:02 796339                         /usr/lib64/libicudata.so.48.1.1
320e56f000-320e570000 rw-p 0116f000 08:02 796339                         /usr/lib64/libicudata.so.48.1.1
320ea00000-320ea01000 r-xp 00000000 08:02 796174                         /usr/lib64/libX11-xcb.so.1.0.0
320ea01000-320ec00000 ---p 00001000 08:02 796174                         /usr/lib64/libX11-xcb.so.1.0.0
320ec00000-320ec01000 r--p 00000000 08:02 796174                         /usr/lib64/libX11-xcb.so.1.0.0
320ec01000-320ec02000 rw-p 00001000 08:02 796174                         /usr/lib64/libX11-xcb.so.1.0.0
3211400000-3211404000 r-xp 00000000 08:02 796160                         /usr/lib64/libXxf86vm.so.1.0.0
3211404000-3211604000 ---p 00004000 08:02 796160                         /usr/lib64/libXxf86vm.so.1.0.0
3211604000-3211605000 r--p 00004000 08:02 796160                         /usr/lib64/libXxf86vm.so.1.0.0
3211605000-3211606000 rw-p 00005000 08:02 796160                         /usr/lib64/libXxf86vm.so.1.0.0
3211c00000-3211c3e000 r-xp 00000000 08:02 796097                         /usr/lib64/libjpeg.so.62.0.0
3211c3e000-3211e3d000 ---p 0003e000 08:02 796097                         /usr/lib64/libjpeg.so.62.0.0
3211e3d000-3211e3e000 r--p 0003d000 08:02 796097                         /usr/lib64/libjpeg.so.62.0.0
3211e3e000-3211e3f000 rw-p 0003e000 08:02 796097                         /usr/lib64/libjpeg.so.62.0.0
3211e3f000-3211e4f000 rw-p 00000000 00:00 0 
3212000000-32120f7000 r-xp 00000000 08:02 797198                         /usr/lib64/libfftw3.so.3.3.0
32120f7000-32122f6000 ---p 000f7000 08:02 797198                         /usr/lib64/libfftw3.so.3.3.0
32122f6000-32122fd000 r--p 000f6000 08:02 797198                         /usr/lib64/libfftw3.so.3.3.0
32122fd000-32122fe000 rw-p 000fd000 08:02 797198                         /usr/lib64/libfftw3.so.3.3.0
3214400000-321440a000 r-xp 00000000 08:02 796176                         /usr/lib64/libdrm.so.2.4.0
321440a000-3214609000 ---p 0000a000 08:02 796176                         /usr/lib64/libdrm.so.2.4.0
3214609000-321460a000 r--p 00009000 08:02 796176                         /usr/lib64/libdrm.so.2.4.0
321460a000-321460b000 rw-p 0000a000 08:02 796176                         /usr/lib64/libdrm.so.2.4.0
3214800000-321483a000 r-xp 00000000 08:02 796172                         /usr/lib64/libglapi.so.0.0.0
321483a000-3214a3a000 ---p 0003a000 08:02 796172                         /usr/lib64/libglapi.so.0.0.0
3214a3a000-3214a3f000 r--p 0003a000 08:02 796172                         /usr/lib64/libglapi.so.0.0.0
3214a3f000-3214a40000 rw-p 0003f000 08:02 796172                         /usr/lib64/libglapi.so.0.0.0
3214a40000-3214a41000 rw-p 00000000 00:00 0 
3215000000-3215015000 r-xp 00000000 08:02 796175                         /usr/lib64/libxcb-glx.so.0.0.0
3215015000-3215214000 ---p 00015000 08:02 796175                         /usr/lib64/libxcb-glx.so.0.0.0
3215214000-3215216000 r--p 00014000 08:02 796175                         /usr/lib64/libxcb-glx.so.0.0.0
3215216000-3215217000 rw-p 00016000 08:02 796175                         /usr/lib64/libxcb-glx.so.0.0.0
3215c00000-3215c2c000 r-xp 00000000 08:02 796247                         /usr/lib64/libvorbis.so.0.4.6
3215c2c000-3215e2b000 ---p 0002c000 08:02 796247                         /usr/lib64/libvorbis.so.0.4.6
3215e2b000-3215e2c000 r--p 0002b000 08:02 796247                         /usr/lib64/libvorbis.so.0.4.6
3215e2c000-3215e2d000 rw-p 0002c000 08:02 796247                         /usr/lib64/libvorbis.so.0.4.6
3216c00000-3216c60000 r-xp 00000000 08:02 796251                         /usr/lib64/libpulsecommon-1.1.so
3216c60000-3216e5f000 ---p 00060000 08:02 796251                         /usr/lib64/libpulsecommon-1.1.so
3216e5f000-3216e60000 r--p 0005f000 08:02 796251                         /usr/lib64/libpulsecommon-1.1.so
3216e60000-3216e62000 rw-p 00060000 08:02 796251                         /usr/lib64/libpulsecommon-1.1.so
3217c00000-3217c16000 r-xp 00000000 08:02 796242                         /usr/lib64/libnsl-2.15.so
3217c16000-3217e15000 ---p 00016000 08:02 796242                         /usr/lib64/libnsl-2.15.so
3217e15000-3217e16000 r--p 00015000 08:02 796242                         /usr/lib64/libnsl-2.15.so
3217e16000-3217e17000 rw-p 00016000 08:02 796242                         /usr/lib64/libnsl-2.15.so
3217e17000-3217e19000 rw-p 00000000 00:00 0 
3218c00000-3218c61000 r-xp 00000000 08:02 796293                         /usr/lib64/libtiff.so.3.9.5
3218c61000-3218e61000 ---p 00061000 08:02 796293                         /usr/lib64/libtiff.so.3.9.5
3218e61000-3218e63000 r--p 00061000 08:02 796293                         /usr/lib64/libtiff.so.3.9.5
3218e63000-3218e64000 rw-p 00063000 08:02 796293                         /usr/lib64/libtiff.so.3.9.5
3219000000-3219039000 r-xp 00000000 08:02 796246                         /usr/lib64/libFLAC.so.8.2.0
3219039000-3219238000 ---p 00039000 08:02 796246                         /usr/lib64/libFLAC.so.8.2.0
3219238000-3219239000 r--p 00038000 08:02 796246                         /usr/lib64/libFLAC.so.8.2.0
3219239000-321923a000 rw-p 00039000 08:02 796246                         /usr/lib64/libFLAC.so.8.2.0
3219400000-32196b3000 r-xp 00000000 08:02 796248                         /usr/lib64/libvorbisenc.so.2.0.9
32196b3000-32198b2000 ---p 002b3000 08:02 796248                         /usr/lib64/libvorbisenc.so.2.0.9
32198b2000-32198ce000 r--p 002b2000 08:02 796248                         /usr/lib64/libvorbisenc.so.2.0.9
32198ce000-32198cf000 rw-p 002ce000 08:02 796248                         /usr/lib64/libvorbisenc.so.2.0.9
3219a00000-3219a02000 r-xp 00000000 08:02 796124                         /usr/lib64/libutil-2.15.so
3219a02000-3219c01000 ---p 00002000 08:02 796124                         /usr/lib64/libutil-2.15.so
3219c01000-3219c02000 r--p 00001000 08:02 796124                         /usr/lib64/libutil-2.15.so
3219c02000-3219c03000 rw-p 00002000 08:02 796124                         /usr/lib64/libutil-2.15.so
3219e00000-3219e0b000 r-xp 00000000 08:02 796244                         /usr/lib64/libgsm.so.1.0.12
3219e0b000-321a00a000 ---p 0000b000 08:02 796244                         /usr/lib64/libgsm.so.1.0.12
321a00a000-321a00b000 rw-p 0000a000 08:02 796244                         /usr/lib64/libgsm.so.1.0.12
321a200000-321a255000 r-xp 00000000 08:02 796249                         /usr/lib64/libsndfile.so.1.0.25
321a255000-321a455000 ---p 00055000 08:02 796249                         /usr/lib64/libsndfile.so.1.0.25
321a455000-321a457000 r--p 00055000 08:02 796249                         /usr/lib64/libsndfile.so.1.0.25
321a457000-321a458000 rw-p 00057000 08:02 796249                         /usr/lib64/libsndfile.so.1.0.25
321a458000-321a45c000 rw-p 00000000 00:00 0 
321a600000-321a647000 r-xp 00000000 08:02 796252                         /usr/lib64/libpulse.so.0.13.5
321a647000-321a846000 ---p 00047000 08:02 796252                         /usr/lib64/libpulse.so.0.13.5
321a846000-321a847000 r--p 00046000 08:02 796252                         /usr/lib64/libpulse.so.0.13.5
321a847000-321a848000 rw-p 00047000 08:02 796252                         /usr/lib64/libpulse.so.0.13.5
321aa00000-321aa07000 r-xp 00000000 08:02 796241                         /usr/lib64/libjson.so.0.0.1
321aa07000-321ac06000 ---p 00007000 08:02 796241                         /usr/lib64/libjson.so.0.0.1
321ac06000-321ac07000 r--p 00006000 08:02 796241                         /usr/lib64/libjson.so.0.0.1
321ac07000-321ac08000 rw-p 00007000 08:02 796241                         /usr/lib64/libjson.so.0.0.1
321ae00000-321ae09000 r-xp 00000000 08:02 796243                         /usr/lib64/libwrap.so.0.7.6
321ae09000-321b008000 ---p 00009000 08:02 796243                         /usr/lib64/libwrap.so.0.7.6
321b008000-321b009000 r--p 00008000 08:02 796243                         /usr/lib64/libwrap.so.0.7.6
321b009000-321b00a000 rw-p 00009000 08:02 796243                         /usr/lib64/libwrap.so.0.7.6
321b00a000-321b00b000 rw-p 00000000 00:00 0 
321b200000-321b205000 r-xp 00000000 08:02 796250                         /usr/lib64/libasyncns.so.0.3.1
321b205000-321b404000 ---p 00005000 08:02 796250                         /usr/lib64/libasyncns.so.0.3.1
321b404000-321b405000 r--p 00004000 08:02 796250                         /usr/lib64/libasyncns.so.0.3.1
321b405000-321b406000 rw-p 00005000 08:02 796250                         /usr/lib64/libasyncns.so.0.3.1
321f600000-321f659000 r-xp 00000000 08:02 797231                         /usr/lib64/libpcre.so.0.0.1
321f659000-321f858000 ---p 00059000 08:02 797231                         /usr/lib64/libpcre.so.0.0.1
321f858000-321f859000 r--p 00058000 08:02 797231                         /usr/lib64/libpcre.so.0.0.1
321f859000-321f85a000 rw-p 00059000 08:02 797231                         /usr/lib64/libpcre.so.0.0.1
3224400000-322444e000 r-xp 00000000 08:02 796294                         /usr/lib64/libjasper.so.1.0.0
322444e000-322464d000 ---p 0004e000 08:02 796294                         /usr/lib64/libjasper.so.1.0.0
322464d000-322464e000 r--p 0004d000 08:02 796294                         /usr/lib64/libjasper.so.1.0.0
322464e000-3224652000 rw-p 0004e000 08:02 796294                         /usr/lib64/libjasper.so.1.0.0
3224652000-3224659000 rw-p 00000000 00:00 0 
3227c00000-3227c02000 r-xp 00000000 08:02 797232                         /usr/lib64/libpcreposix.so.0.0.0
3227c02000-3227e01000 ---p 00002000 08:02 797232                         /usr/lib64/libpcreposix.so.0.0.0
3227e01000-3227e02000 r--p 00001000 08:02 797232                         /usr/lib64/libpcreposix.so.0.0.0
3227e02000-3227e03000 rw-p 00002000 08:02 797232                         /usr/lib64/libpcreposix.so.0.0.0
3c2bc00000-3c2bc15000 r-xp 00000000 08:02 796171                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3c2bc15000-3c2be14000 ---p 00015000 08:02 796171                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3c2be14000-3c2be15000 rw-p 00014000 08:02 796171                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3c2c000000-3c2c0e5000 r-xp 00000000 08:02 796272                         /usr/lib64/libstdc++.so.6.0.17
3c2c0e5000-3c2c2e4000 ---p 000e5000 08:02 796272                         /usr/lib64/libstdc++.so.6.0.17
3c2c2e4000-3c2c2ec000 r--p 000e4000 08:02 796272                         /usr/lib64/libstdc++.so.6.0.17Aborted (core dumped)
Comment 11 Richard Shaw 2012-04-19 10:04:56 EDT
Sorry, that's my fault. I had Jochen add libspnav as a build requirement for 3D pointers. I didn't know that it would REQUIRE spacenavd...
Comment 12 Richard Shaw 2012-04-19 10:07:46 EDT
Should have said... Please open a separate BZ for this problem.
Comment 13 Bastien Montagne 2012-04-19 10:31:54 EDT
Don’t know what version of Blender source you are using, but with current trunk (and for some months now, at least), when spacenavd is not running, you just get in console…

connect failed: No such file or directory
ndof: spacenavd not found

and everything goes well! Or maybe an old version of spacenavd?
Comment 14 Richard Shaw 2012-04-19 10:33:52 EDT
(In reply to comment #13)
> Don’t know what version of Blender source you are using, but with current trunk
> (and for some months now, at least), when spacenavd is not running, you just
> get in console…
> 
> connect failed: No such file or directory
> ndof: spacenavd not found
> 
> and everything goes well! Or maybe an old version of spacenavd?

Nope. it's 0.5.0, the latest release. There's been a couple of commits but no new release.
Comment 15 Bastien Montagne 2012-04-19 10:45:08 EDT
On Blender irc, troubled suggested it might be a selinux problem… Quoting him:

"my suggestion would be to try similar in permissive selinux mode with `setenforce 0` and see if that helps. if so, might just need policy tweaks for the spacenav problem"

(PS: I meant libspacenav, not the demon, sorry. For me, 2.2).
Comment 16 Richard Shaw 2012-04-19 11:03:25 EDT
From the blender mailing list:

Brecht Van Lommel brechtvanlommel@pandora.be via blender.org 
Hi,

>From the build log it looks like scripts are manually being copied
rather than using "make install".

To make it work, you'd need to copy intern/cycles/blender/addon to
<somewhere>/scripts/addons/cycles.
Comment 17 Jochen Schmitt 2012-04-23 14:44:46 EDT
Yes, but this seems not to be the whool stroy. ON the precompiled blender binaries, I could see, that the are several sub directories on the scripts/addons/cycles directory.
Comment 18 Jochen Schmitt 2012-04-24 11:16:52 EDT
It may be nice, if anyone can tryout blender-2.62-5.fc18 from rawhide.
Comment 19 Fedora Update System 2012-04-25 13:09:51 EDT
blender-2.62-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blender-2.62-6.fc17
Comment 20 Fedora Update System 2012-04-26 15:26:02 EDT
Package blender-2.62-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blender-2.62-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6647/blender-2.62-6.fc17
then log in and leave karma (feedback).
Comment 21 Dominik Pospisil 2012-05-07 07:01:02 EDT
Tried blender-2.63-1.fc17.x86_64 from updates-testing and the cycles renderer now seems to work as expected. Thanks!
Comment 22 Fedora Update System 2012-05-12 09:50:07 EDT
blender-2.63a-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blender-2.63a-1.fc17
Comment 23 Fedora Update System 2012-05-26 03:29:51 EDT
blender-2.63a-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.